Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql
Class AlterTableStatement

    java.lang.Object
      org.apache.cassandra.cql.AlterTableStatement

    public class AlterTableStatement

extends java.lang.Object

Nested Class Summary
`static class` | `AlterTableStatement.OperationType`

Field Summary
`java.lang.String` | `columnFamily`
`java.lang.String` | `columnName`
`AlterTableStatement.OperationType` | `oType`
`java.lang.String` | `validator`

Constructor Summary
`AlterTableStatement(java.lang.String columnFamily, AlterTableStatement.OperationType type, java.lang.String columnName)`
`AlterTableStatement(java.lang.String columnFamily, AlterTableStatement.OperationType type, java.lang.String columnName, java.lang.String validator)`
`AlterTableStatement(java.lang.String columnFamily, AlterTableStatement.OperationType type, java.lang.String columnName, java.lang.String validator, java.util.Map<java.lang.String,java.lang.String> propertyMap)`

Method Summary
`static void` | `applyPropertiesToCFMetadata(CFMetaData cfm, CFPropDefs cfProps)`
`CFMetaData` | `getCFMetaData(java.lang.String keyspace)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### oType

    public final AlterTableStatement.OperationType oType

### columnFamily

    public final java.lang.String columnFamily

### columnName

    public final java.lang.String columnName

### validator

    public final java.lang.String validator

Constructor Detail

### AlterTableStatement

    public AlterTableStatement(java.lang.String columnFamily,
                               AlterTableStatement.OperationType type,
                               java.lang.String columnName)

### AlterTableStatement

    public AlterTableStatement(java.lang.String columnFamily,
                               AlterTableStatement.OperationType type,
                               java.lang.String columnName,
                               java.lang.String validator)

### AlterTableStatement

    public AlterTableStatement(java.lang.String columnFamily,
                               AlterTableStatement.OperationType type,
                               java.lang.String columnName,
                               java.lang.String validator,
                               java.util.Map<java.lang.String,java.lang.String> propertyMap)

Method Detail

### getCFMetaData

    public CFMetaData getCFMetaData(java.lang.String keyspace)
                             throws ConfigurationException,
                                    InvalidRequestException

  Throws:
    `ConfigurationException`
    `InvalidRequestException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### applyPropertiesToCFMetadata

    public static void applyPropertiesToCFMetadata(CFMetaData cfm,
                                                   CFPropDefs cfProps)
                                            throws InvalidRequestException,
                                                   ConfigurationException

  Throws:
    `InvalidRequestException`
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation